<?php
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do zmieniania folderu pluginu
	
	Black Min cms,
	
	#plik: 1.0
*/
	
	// otwieranie sesii black mina
	session_start();	

	// sprawdzanie czy użytkownik jest zalogowany i ma odpowiednie permisje
	if (!isset($_SESSION['zalogowany']))
	{
		header('Location: ../logowanie.php');
		exit();
	}
	
	require_once "../../../connect.php";
	require_once "../laduj/class-get-ustawienia.php";
	// Tworzenie nowej klasy i wywołanie jej w celu pobrania ustawień Black Mina
	$get_ustawienia_bm = new get_ustawienia_bm(); 
	$get_ustawienia_bm->get_ustawienia();
	$ustawienia_bm = $get_ustawienia_bm->get_ustawienia();
	$url_serwera_bm = $ustawienia_bm["bm_wartosc"][0];
	
	// sprawdzenia czy coś przyszło do pliku 
	// usuwanie wybranych rekordów po id rekordu
	// tworzenie odpowiedniego skryptu który schowa rekord żeby użytkownik wiedział że usunięcie się powiodło
	
	if(isset($_POST['usun_plik']))
	{
		$id_plik = $_POST['usun_plik'];
		
		$ile_deelete = count($id_plik);
		
		$nowa_nazwa_folderu = $_POST['nowa_nazwa_folderu'];
		
		//echo $ile_deelete;
		
		//echo $id_post[0] ;
		
		
		$nowa_nazwa_folderu = htmlentities($nowa_nazwa_folderu, ENT_QUOTES, "UTF-8");	
		
		mysqli_report(MYSQLI_REPORT_STRICT);
		
		try 
		{
			$polaczenie = new mysqli($host, $db_user, $db_password, $db_name);
			if ($polaczenie->connect_errno!=0)
			{
				throw new Exception(mysqli_connect_errno());
			}
			else
			{		
		
				for($i=0; $i < $ile_deelete; $i++)	{
		
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_filemeta` SET `bm_folder`='$nowa_nazwa_folderu' WHERE `id` = '$id_plik[$i]'"))
					{
						echo '
							<section class="tsr tsr-alert tsr-alert-success">
								Nazwa folderu pliku została poprawnie zmieniona!
							</section>
						';
									
						echo '
							<script type="text/javascript">
								//evt();
							</script>
						';
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
				
				}

				
				$polaczenie->close();
			}
			
		}
		
          
		catch(Exception $e)
		{
			echo '<span style="color:red;">Błąd serwera! Przepraszamy za niedogodności i prosimy o powtórzenie działań w innym terminie!</span>';
			echo '<br />Informacja developerska: '.$e;
			echo '
				<section class="tsr tsr-alert tsr-alert-error">
					Kod błędu: [ERROR_RENAME_FOLDERS_FILE] - Błąd podczas zmieniania nazwy folderu pliku!
				</section>
			';
		}		
		
	}		
	
?>